LibreOffice: DatabaseTextField Service Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
DatabaseTextField Service Referencepublished

This service specifies a text field which is data-aware, and can be bound to a database field. More...

`import "DatabaseTextField.idl";`

Inheritance diagram for DatabaseTextField:

## Included Services
service | com::sun::star::form::component::TextField
service | com::sun::star::form::DataAwareControlModel
Included Services inherited from TextField
service | com::sun::star::awt::UnoControlEditModel
service | com::sun::star::form::FormControlModel
service | RichTextControl
| specifies optional capabilities for displaying and inputting formatted text.
Included Services inherited from UnoControlEditModel
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.
Included Services inherited from FormControlModel
service | com::sun::star::awt::UnoControlModel
service | com::sun::star::form::FormComponent
Included Services inherited from RichTextControl
service | com::sun::star::awt::UnoControlEditModel
service | com::sun::star::form::FormControlModel
service | com::sun::star::text::TextRange
| specifies capabilities to provide rich text, as opposed to the simple text provided by the com::sun::star::awt::UnoControlEditModel
Included Services inherited from TextRange
service | com::sun::star::style::CharacterProperties
service | com::sun::star::style::CharacterPropertiesAsian
service | com::sun::star::style::CharacterPropertiesComplex
service | com::sun::star::style::ParagraphProperties
service | com::sun::star::style::ParagraphPropertiesAsian
service | com::sun::star::style::ParagraphPropertiesComplex
Included Services inherited from DataAwareControlModel
service | com::sun::star::form::FormControlModel

## Public Attributes
boolean | ConvertEmptyToNull
| determines if an empty text should be treated as a NULL value.
Public Attributes inherited from TextField
string | DefaultText
| contains a default value for the control.
Public Attributes inherited from UnoControlEditModel
short | Align
| specifies the horizontal alignment of the text in the control.
boolean | AutoHScroll
| If set to true an horizontal scrollbar will be added automatically when needed.
boolean | AutoVScroll
| If set to true a vertical scrollbar will be added automatically when needed.
com::sun::star::util::Color | BackgroundColor
| specifies the background color (RGB) of the control.
short | Border
| specifies the border style of the control.
long | BorderColor
| specifies the color of the border, if present
short | EchoChar
| specifies the echo character for a password edit field.
boolean | Enabled
| determines whether the control is enabled or disabled.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
boolean | HardLineBreaks
| specifies if hard line breaks will be returned in the XTextComponent::getText() method.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
boolean | HideInactiveSelection
| specifies whether the selection in the control should be hidden when the control is not active (focused).
boolean | HScroll
| specifies if the content of the control can be scrolled in the horizontal direction.
short | LineEndFormat
| specifies which line end type should be used for multi line text
short | MaxTextLen
| specifies the maximum character count.
boolean | MultiLine
| specifies that the control may have more than one line.
boolean | PaintTransparent
| specifies whether the control paints it background or not.
boolean | Printable
| specifies that the control will be printed with the document.
boolean | ReadOnly
| specifies that the content of the control cannot be modified by the user.
boolean | Tabstop
| specifies that the control can be reached with the TAB key.
string | Text
| specifies the text displayed in the control.
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control.
boolean | VScroll
| specifies if the content of the control can be scrolled in the vertical direction.
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group.
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control.
com::sun::star::util::Color | HighlightColor
| specifies the background color (RGB) of selected text in the control which is highlighted.
com::sun::star::util::Color | HighlightTextColor
| specifies the text color (RGB) of selected text in the control which is highlighted.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.
Public Attributes inherited from FormControlModel
short | ClassId
| specifies the ID for classification of the component.
short | TabIndex
| determines the relative taborder of the control associated with the model.
string | Tag
| used for additional information.
Public Attributes inherited from FormComponent
string | Name
| the name of the component.
Public Attributes inherited from DataAwareControlModel
string | DataField
| specifies the name of the bound database field.
boolean | InputRequired
| determines whether or not input into this field is required, when it is actually bound to a database field.
com::sun::star::beans::XPropertySet | BoundField
| references to the cursor field to which the control is bound.
com::sun::star::beans::XPropertySet | LabelControl
| references to a control model within the same document which should be used as a label.

## Additional Inherited Members
Exported Interfaces inherited from TextField
interface | com::sun::star::form::XReset
| can be used to reset the control to its default text.
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Exported Interfaces inherited from FormControlModel
interface | com::sun::star::beans::XFastPropertySet
| This optional interface gives an efficient access to all properties at once or an ability to set more than one property at once.
interface | com::sun::star::beans::XPropertyState
| This optional interface gives access to the state of the properties, e.g.
Exported Interfaces inherited from FormComponent
interface | com::sun::star::form::XFormComponent
| identifies the component as a candidate for being part of a form.
interface | com::sun::star::lang::XComponent
| allows life-time control of form components.
interface | com::sun::star::container::XNamed
| Each FormComponent must supply a name for identification.
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.
interface | com::sun::star::io::XPersistObject
| Each FormComponent must be able to be stored into and read from a stream.
interface | com::sun::star::beans::XPropertyBag
| allows to associate arbitrary properties with the form component
Exported Interfaces inherited from XPropertyBag
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyContainer
interface | com::sun::star::beans::XPropertyAccess
Exported Interfaces inherited from TextRange
interface | com::sun::star::text::XTextRange
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyState
interface | com::sun::star::container::XContentEnumerationAccess
Exported Interfaces inherited from DataAwareControlModel
interface | com::sun::star::form::XBoundComponent
| makes it possible to transfer the data of the model to the connected data field.
interface | com::sun::star::form::XLoadListener
| must be implemented in order to recognize when the containing form of the model connects to its data source (loads its data).
interface | com::sun::star::form::XReset
| Each DataAwareControlModel should be resettable for setting default values.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XReset
void | reset ()
| resets a component to some default value.
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component.
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener
Public Member Functions inherited from XLoadListener
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource.
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded.
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource.
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded.
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Protected Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Protected Types inherited from ParagraphProperties
typedef sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes.
typedef sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object.
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object.
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties.
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name.
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value.
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.
Protected Member Functions inherited from XContentEnumerationAccess
com::sun::star::container::XEnumeration | createContentEnumeration ([in] string aServiceName)
sequence< string > | getAvailableServiceNames ()
Protected Member Functions inherited from XReset
void | reset ()
| resets a component to some default value.
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component.
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener
Protected Member Functions inherited from XBoundComponent
boolean | commit ()
| commits the content of the component into the data source it is bound to.
Protected Member Functions inherited from XUpdateBroadcaster
void | addUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| adds the specified listener to receive the events "approveUpdate" and "updated".
void | removeUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| removes the specified listener.
Protected Member Functions inherited from XLoadListener
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource.
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded.
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource.
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded.
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded.
Protected Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.
Protected Attributes inherited from RichTextControl
boolean | HardLineBreaks
| specifies whether text should be automatically wrapped to fit into the control.
boolean | RichText
| specifies whether the control should display the text including all its formatting.
Protected Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is TRUE if the characters are crossed out.
boolean | CharFlash
| If this optional property is TRUE, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is TRUE, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the applied character style.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character by automatic hyphenation.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is TRUE, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
short | CharScriptHint
| This optional property suggests that the text should be interpreted as a specific script type.
Protected Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point.
float | CharWeightAsian
| This property contains the value of the font weight.
string | CharFontNameAsian
| This property specifies the name of the font style.
string | CharFontStyleNameAsian
| This property contains the name of the font style.
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale.
Protected Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point.
float | CharWeightComplex
| This property contains the value of the font weight.
string | CharFontNameComplex
| This property specifies the name of the font style.
string | CharFontStyleNameComplex
| This property contains the name of the font style.
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale.
Protected Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph.
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph.
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color.
boolean | ParaBackTransparent
| This value is TRUE if the paragraph background color is set to transparent.
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph.
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph.
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic.
short | ParaLastLineAdjust
| determines the adjustment of the last line.
boolean | ParaExpandSingleWord
| determines if single words are stretched.
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm.
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm.
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm.
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm.
boolean | ParaContextMargin
| determines if contextual spacing is used.
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering.
long | ParaLineNumberStartValue
| contains the start value for the line numbering.
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use.
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number.
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph.
string | ParaStyleName
| contains the name of the current paragraph style.
string | PageStyleName
| contains the name of the current page style.
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted.
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word.
boolean | ParaKeepTogether
| Setting this property to TRUE prevents page or column breaks between this and the following paragraph.
boolean | ParaSplit
| Setting this property to FALSE prevents the paragraph from getting split into two pages or columns.
short | NumberingLevel
| specifies the numbering level of the paragraph.
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph.
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph.
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph.
string | NumberingStyleName
| specifies the name of the style for the numbering.
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page.
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page.
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow.
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object.
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object.
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object.
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object.
long | BorderDistance
| contains the distance from the border to the object.
long | LeftBorderDistance
| contains the distance from the left border to the object.
long | RightBorderDistance
| contains the distance from the right border to the object.
long | TopBorderDistance
| contains the distance from the top border to the object.
long | BottomBorderDistance
| contains the distance from the bottom border to the object.
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table.
string | DropCapCharStyleName
| specifies the character style name for drop caps.
long | ParaFirstLineIndent
| specifies the indent for the first line.
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically.
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied.
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens.
short | ParaHyphenationMaxLeadingChars
| specifies the minimum number of characters to remain before the hyphen character (when hyphenation is applied).
short | ParaHyphenationMaxTrailingChars
| specifies the minimum number of characters to remain after the hyphen character (when hyphenation is applied).
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph.
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes.
boolean | NumberingIsNumber
| returns FALSE if the paragraph is part of a numbering, but has no numbering label.
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph.
string | ListId
| specifies the id of the list to which the paragraph belongs
short | OutlineLevel
| specifies the outline level to which the paragraph belongs
com::sun::star::graphic::XGraphic | ParaBackGraphic
| contains the graphic for the background of a paragraph.
boolean | ContinueingPreviousSubTree
| specifies that a child node of a parent node that is not counted is continuing the numbering of parent's previous node's sub tree.
string | ListLabelString
| allows reading the generated numbering list label.
boolean | ParaHyphenationNoCaps
| Specifies whether words written in CAPS will be hyphenated.
boolean | ParaHyphenationNoLastWord
| Specifies whether last word of paragraph will be hyphenated.
short | ParaHyphenationMinWordLength
| specifies the minimum word length in characters, when hyphenation is applied.
long | ParaHyphenationZone
| specifies the hyphenation zone, i.e.
long | SortedTextId
| contains a paragraph identifier within the actual text, which also shows the position of the paragraph relative to the other paragraphs of the same text, i.e.
boolean | ParaHyphenationKeep
| This value is TRUE if both parts of a hyphenated word shall lie within a single spread, page, or column.
long | ParaHyphenationKeepType
| Specifies how last line on a page or on other regions is hyphenated.
short | ParaHyphenationCompoundMinLeadingChars
| specifies the minimum number of characters of the compound word part to remain before the hyphen character (when hyphenation is applied).
boolean | ParaHyphenationKeepLine
| This value is TRUE if ParaHyphenationKeep = TRUE solved by shifting the hyphenated word, and FALSE, if it is solved by shifting (only a single) full hyphenated line.
long | ParaHyphenationZoneAlways
| specifies the paragraph end zone, i.e.
long | ParaHyphenationZoneColumn
| specifies the column end zone, i.e.
long | ParaHyphenationZonePage
| specifies the page end zone, i.e.
long | ParaHyphenationZoneSpread
| specifies the spread end zone, i.e.
long | ParaWordSpacing
| specifies the desired word spacing as percentage value relative to the width of the space character.
long | ParaWordSpacingMinimum
| specifies the minimum word spacing as percentage value relative to the width of the space character.
long | ParaWordSpacingMaximum
| specifies the maximum word spacing as percentage value relative to the width of the space character.
long | ParaLetterSpacingMinimum
| specifies the minimum letter spacing as percentage value relative to the width of the space character.
long | ParaLetterSpacingMaximum
| specifies the maximum letter spacing as percentage value relative to the width of the space character.
long | ParaScaleWidthMinimum
| specifies the minimum glyph scale width as percentage value relative to the width of the glyph.
long | ParaScaleWidthMaximum
| specifies the maximum glyph scale width as percentage value relative to the width of the glyph.
Protected Attributes inherited from ParagraphPropertiesAsian
boolean | ParaIsHangingPunctuation
| determines if hanging punctuation is allowed.
boolean | ParaIsCharacterDistance
| determines if a distance between Asian text, western text or complex text is set.
boolean | ParaIsForbiddenRules
| determines if the rules for forbidden characters at the start or end of text lines are considered.
Protected Attributes inherited from ParagraphPropertiesComplex
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants

## Detailed Description

This service specifies a text field which is data-aware, and can be bound to a database field.

## Exported Interfaces

## ◆ com::sun::star::form::component::TextField

service com::sun::star::form::component::TextField

## ◆ com::sun::star::form::DataAwareControlModel

service com::sun::star::form::DataAwareControlModel

## Member Data Documentation

## ◆ ConvertEmptyToNull

boolean ConvertEmptyToNull
| property

determines if an empty text should be treated as a NULL value.

When the user enters text into a text field, and after this, the control content is to be committed into the database field the control is bound to, a decision must be made how to deal with empty strings.
This is controlled by this property.

If the property is set to TRUE, and an empty text is to be committed, this is converted into NULL, else it is written as empty string.

The documentation for this service was generated from the following file:

- com/sun/star/form/component/DatabaseTextField.idl